# Makefile for dvgtk -- t.cholewo@ieee.org.  Public domain.
# $Id: Makefile.in,v 0.2 1997/03/28 03:29:28 tjchol01 Exp $
version = 0.2

ac_include ../make/paths.make
ac_include ../make/common.make
ac_include ../make/programs.make

ANSI2KNR = @ANSI2KNR@
o = .@U@o

#BOUNDS = -fbounds-checking 
#XCFLAGS = $(BOUNDS) -O -Wall -Wformat
#XLDFLAGS = $(BOUNDS) 

program = dvgt
objects = dvgt$o dvireader$o fontreader$o options$o screenio$o unixio$o vdu$o

programs = $(program)

default all: $(programs) 

$(program): $(objects) $(kpathsea)
	$(kpathsea_link) $(objects) $(LOADLIBES)

ac_include ../make/tkpathsea.make

install: install-exec install-data
uninstall: uninstall-exec uninstall-data

install-exec:
	$(SHELL) $(top_srcdir)/../mkdirchain $(bindir) 
	test ! -f $(program) \
	  || $(INSTALL_LIBTOOL_PROG) $(bindir) $(program)
uninstall-exec:
	cd $(bindir); rm -f $(program)

install-data:
	$(SHELL) $(top_srcdir)/../mkdirchain $(mandir) 
	$(INSTALL_DATA) $(srcdir)/dvgt.man $(mandir)/dvgt.$(manext)
uninstall-data:
	rm -f $(mandir)/dvgt.$(manext)

clean:: 
	rm -f $(ANSI2KNR) *._o *._c *.vlg doc/*.dvi doc/*.vlg doc/*.log depend.make

xclean: clean configclean
	rm -f stamp-auto stamp-auto.in

distname = dvgtk
program_files = dvgt.man web2c-dvgtk.patch ansi2knr.ac MACHINES
version_files = dvgt.c 

pre-dist-$(distname):
post-dist-$(distname):
	ln -s `pwd`/doc `pwd`/etc $(distdir)

# modified dist.make -- making distribution tar files.
distdir = $(distname)
ln_files = AUTHORS ChangeLog INSTALL NEWS README *.in *.h *.c \
  configure .gdbinit stamp-auto 

dist_rm_predicate = -name depend.make -o -name Makefile
dist: all pre-dist-$(distname)
	rm -rf $(distdir)
	mkdir -p $(distdir)
	-ln $(ln_files) $(distdir)
	ln $(program_files) $(distdir)
# Remove the extra files our patterns got us.
	cd $(distdir); rm -f c-auto.h
	find $(distdir) \( $(dist_rm_predicate) \) -exec rm '{}' \;
	find $(distdir) -name \.*texi -exec egrep -ni '	| ::|xx[^}]' \;
	$(MAKE) post-dist-$(distname)
	chmod -R a+rwX $(distdir)
	GZIP=-9 tar chzf $(distdir)-$(version).tar.gz $(distdir)
	rm -rf $(distdir)

# End of modified dist.make.

.SUFFIXES: .c .o ._c ._o

.c._c: $(ANSI2KNR)
	$(ANSI2KNR) $< > $*.tmp && mv $*.tmp $@

._c._o:
	@echo $(compile) -c $<
	@rm -f _$*.c
	@ln $< _$*.c && $(compile) _$*.c && mv _$*.o $@ && rm _$*.c

.c._o: $(ANSI2KNR)
	$(ANSI2KNR) $< > $*.tmp && mv $*.tmp $*._c
	@echo $(compile) $*._c
	@rm -f _$*.c
	@ln $*._c _$*.c && $(compile) _$*.c && mv _$*.o $@ && rm _$*.c

ansi2knr: ansi2knr.o c-auto.h
	$(CC) -o ansi2knr ansi2knr.o $(LIBS)

ac_include ../make/config.make

info dvi check:

ac_include ../make/clean.make
ac_include ../make/rdepend.make

# dependencies

# configure:: ansi2knr.ac

$(objects): $(ANSI2KNR)

# depend.make

dvgt$o: dvgt.c dvgt.h c-auto.h \
 ../kpathsea/debug.h \
 ../kpathsea/c-proto.h ../kpathsea/c-std.h ../kpathsea/c-unistd.h \
 ../kpathsea/systypes.h ../kpathsea/c-memstr.h ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/types.h \
 ../kpathsea/progname.h ../kpathsea/c-pathch.h ../kpathsea/c-ctype.h \
 ../kpathsea/lib.h ../kpathsea/proginit.h ../kpathsea/tex-file.h \
 defaults.h screenio.h options.h unixio.h vdu.h dvireader.h \
 fontreader.h
dvireader$o: dvireader.c dvgt.h c-auto.h \
 ../kpathsea/debug.h \
 ../kpathsea/c-proto.h ../kpathsea/c-std.h ../kpathsea/c-unistd.h \
 ../kpathsea/systypes.h ../kpathsea/c-memstr.h ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/types.h \
 ../kpathsea/progname.h ../kpathsea/c-pathch.h ../kpathsea/c-ctype.h \
 ../kpathsea/lib.h dvireader.h screenio.h fontreader.h options.h
fontreader$o: fontreader.c dvgt.h c-auto.h \
 ../kpathsea/debug.h \
 ../kpathsea/c-proto.h ../kpathsea/c-std.h ../kpathsea/c-unistd.h \
 ../kpathsea/systypes.h ../kpathsea/c-memstr.h ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/types.h \
 ../kpathsea/progname.h ../kpathsea/c-pathch.h ../kpathsea/c-ctype.h \
 ../kpathsea/lib.h ../kpathsea/tex-file.h ../kpathsea/tex-glyph.h \
 screenio.h vdu.h options.h dvireader.h fontreader.h
options$o: options.c dvgt.h c-auto.h \
 ../kpathsea/debug.h \
 ../kpathsea/c-proto.h ../kpathsea/c-std.h ../kpathsea/c-unistd.h \
 ../kpathsea/systypes.h ../kpathsea/c-memstr.h ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/types.h \
 ../kpathsea/progname.h ../kpathsea/c-pathch.h ../kpathsea/c-ctype.h \
 ../kpathsea/lib.h screenio.h options.h defaults.h
screenio$o: screenio.c dvgt.h c-auto.h \
 ../kpathsea/debug.h \
 ../kpathsea/c-proto.h ../kpathsea/c-std.h ../kpathsea/c-unistd.h \
 ../kpathsea/systypes.h ../kpathsea/c-memstr.h ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/types.h \
 ../kpathsea/progname.h ../kpathsea/c-pathch.h ../kpathsea/c-ctype.h \
 ../kpathsea/lib.h screenio.h unixio.h vdu.h
unixio$o: unixio.c dvgt.h c-auto.h \
 ../kpathsea/debug.h \
 ../kpathsea/c-proto.h ../kpathsea/c-std.h ../kpathsea/c-unistd.h \
 ../kpathsea/systypes.h ../kpathsea/c-memstr.h ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/types.h \
 ../kpathsea/progname.h ../kpathsea/c-pathch.h ../kpathsea/c-ctype.h \
 ../kpathsea/lib.h unixio.h screenio.h \
 
vdu$o: vdu.c dvgt.h c-auto.h \
 ../kpathsea/debug.h \
 ../kpathsea/c-proto.h ../kpathsea/c-std.h ../kpathsea/c-unistd.h \
 ../kpathsea/systypes.h ../kpathsea/c-memstr.h ../kpathsea/c-errno.h \
 ../kpathsea/c-minmax.h \
 ../kpathsea/c-limits.h \
 ../kpathsea/types.h \
 ../kpathsea/progname.h ../kpathsea/c-pathch.h ../kpathsea/c-ctype.h \
 ../kpathsea/lib.h vdu.h options.h screenio.h

